Bug 829298 - avc in nfs4 setup
avc in nfs4 setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 08:11 EDT by Enrico Scholz
Modified: 2012-06-16 20:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 20:05:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2012-06-06 08:11:32 EDT
Description of problem:

[149902.432151] type=1400 audit(1338984331.254:490): avc:  denied  { create } for  pid=1131 comm="rpc.svcgssd" name="nfs_0" scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:object_r:krb5_host_rcache_t:s0 tclass=file

and related { read write unlink } entries.  'nfs_0' is /var/tmp/nfs_0

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.10.0-128.fc17.noarch
nfs-utils-1.2.6-0.fc17.x86_64
Comment 1 Daniel Walsh 2012-06-07 14:50:34 EDT
Fixed in selinux-policy-3.10.0-129.fc17
Comment 2 Fedora Update System 2012-06-11 17:03:39 EDT
selinux-policy-3.10.0-130.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-130.fc17
Comment 3 Fedora Update System 2012-06-15 20:00:33 EDT
Package selinux-policy-3.10.0-130.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-130.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9520/selinux-policy-3.10.0-130.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-16 20:05:26 EDT
selinux-policy-3.10.0-130.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.